%define real_name putty

Name:		putty-gtk2
Version:	0.62
Release:	1
Summary:	SSH, Telnet and Rlogin client
License:	MIT
Group:		Applications/Internet
URL:		http://www.chiark.greenend.org.uk/~sgtatham/putty/
Source0:	http://the.earth.li/~sgtatham/putty/latest/%{real_name}-%{version}.tar.gz
Source1:	%{real_name}.desktop
Source2:	%{real_name}.png
Patch0:		%{real_name}-%{version}-aix-gtk2.patch
Requires:	glib2 >= 2.8.1
Requires:	gtk2 >= 2.8.3
Requires:	krb5-libs >= 1.8.3-1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	coreutils, patch
BuildRequires:	glib2-devel >= 2.8.1
BuildRequires:	gtk2-devel >= 2.8.3
BuildRequires:	krb5-devel >= 1.8.3-1

Provides:	%{real_name}

%description
PuTTY is a free implementation of Telnet and SSH for Win32 and Unix platforms,
along with an xterm terminal emulator.


%prep
%setup -q -n %{real_name}-%{version}
export PATH=/opt/freeware/bin:$PATH
%patch0 -p0


%build
cd unix
ln -s Makefile.gtk Makefile
make
cd ..


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export PATH=/opt/freeware/bin:$PATH

cd unix
make DESTDIR=${RPM_BUILD_ROOT} install
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
cd ..

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/Applications

install -m 644 -D -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/putty.png


%files
%defattr(-,root,system)
%doc LICENCE
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{real_name}.png
%config /etc/X11/applnk/Applications/%{real_name}.desktop


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%changelog
* Mon Dec 12 2011 Michael Perzl <michael@perzl.org> - 0.62-1
- updated to version 0.62

* Thu Jul 14 2011 Michael Perzl <michael@perzl.org> - 0.61-1
- updated to version 0.61

* Tue Aug 14 2007 Michael Perzl <michael@perzl.org> - 0.60-1
- updated to version 0.60

* Fri Dec 30 2005 Michael Perzl <michael@perzl.org> - 0.58-1
- first version for AIX V5.1 and higher
